id: 31
createTime: 2025-08-25T17:49:04.522858932Z
name: tackleTestApp_Source+dependencies_openjdk17_test-app-optio186.7.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=openjdk21
        path: ""
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: true
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 7
    name: tackleTestApp_Source+dependencies_openjdk17_test-app-optio186
bucket:
    id: 53
    name: ""
started: 2025-08-25T17:51:09.589949207Z
terminated: 2025-08-25T18:00:07.49751914Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-08-25T17:49:05.4402637Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-08-25T17:49:05.453557195Z
    - kind: Postponed
      count: 117
      reason: Rule:Unique matched:31, other:30
      last: 2025-08-25T17:51:08.45878291Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-31-zn68c
      last: 2025-08-25T17:51:09.637197573Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-08-25T17:51:11.73454744Z
    - kind: PodRunning
      count: 407
      last: 2025-08-25T17:58:21.30315893Z
    - kind: PodSucceeded
      count: 1
      last: 2025-08-25T17:58:21.303159601Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-08-25T17:58:21.374155462Z
    - kind: PodDeleted
      count: 1
      last: 2025-08-25T18:00:07.497479545Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[SSH] Home (directory): /addon'
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Home (directory): /addon/.git/6e4ab37'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
    - '[GIT] Using credentials (id=32) bTbhbC.'
    - '[FILE] Created /addon/.git/6e4ab37/.gitconfig.'
    - '[FILE] Created /addon/.git/6e4ab37/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/tackle-testapp /shared/source/tackle-testapp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=14 (openjdk11/openjdk8)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=23 (openjdk21)'
    - '[RULESET] fetching: id=13 (openjdk7/oraclejdk7)'
    - '[RULESET] fetching: id=15 (openjdk17/openjdk11)'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/insights.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/rulesets/14/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/23/rules --rules /addon/rules/rulesets/13/rules --rules /addon/rules/rulesets/15/rules --label-selector konveyor.io/target=openjdk21'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 7.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 3 reported. duration: 737.384744ms'
    - Facts updated.
    - Done.
attached:
    - id: 469
      name: ssh-agent.output
      activity: 10
    - id: 470
      name: git.output
      activity: 18
    - id: 473
      name: settings.yaml
      activity: 25
    - id: 474
      name: konveyor-analyzer.output
      activity: 26
    - id: 489
      name: git.output
      activity: 29
    - id: 471
      name: addon.log
    - id: 472
      name: java.log
    - id: 491
      name: pod.yaml
